Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.dnd
Class DragSourceEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.dnd.DragSourceEvent

All Implemented Interfaces:
  Serializable

public class DragSourceEvent
extends TypedEvent

The DragSourceEvent contains the event information passed in the methods of the DragSourceListener.

See Also:
  `DragSourceListener`, Serialized Form

Field Summary
`TransferData` | `dataType` The type of data requested.
`int` | `detail` The operation that was performed.
`boolean` | `doit` In dragStart, the doit field determines if the drag and drop operation should proceed; in dragFinished, the doit field indicates whether the operation was performed successfully.

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragSourceEvent(org.eclipse.swt.dnd.DNDEvent e)` Constructs a new instance of this class based on the information in the given untyped event.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public int detail

  The operation that was performed.

  See Also:
    `DND.DROP_NONE`, `DND.DROP_MOVE`, `DND.DROP_COPY`, `DND.DROP_LINK`, `DND.DROP_TARGET_MOVE`

### doit

    public boolean doit

  In dragStart, the doit field determines if the drag and drop operation should proceed; in dragFinished, the doit field indicates whether the operation was performed successfully.

  In dragStart:

  Flag to determine if the drag and drop operation should proceed. The application can set this value to false to prevent the drag from starting. Set to true by default.

  In dragFinished:

  Flag to indicate if the operation was performed successfully. True if the operation was performed successfully.

### dataType

    public TransferData dataType

  The type of data requested. Data provided in the data field must be of the same type.

Constructor Detail

### DragSourceEvent

    public DragSourceEvent(org.eclipse.swt.dnd.DNDEvent e)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.